package  
{
	import flash.display.BlendMode;
	import flash.geom.Point;
	import flash.system.System;
	import flash.text.AntiAliasType;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Draw;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.World;
	
	/**
	 * ...
	 * @author azrafe7
	 */
	public class TestWorld extends World
	{
		private var text:Text;
		private var box:Entity;
		public static var player:Entity;
		
		public function TestWorld() 
		{
			
		}
		
		override public function begin():void {
			
			text = new Text("");
			var textEntity:Entity = new Entity(5 / FP.screen.scale, 30 / FP.screen.scale, text);
			text.scrollX = 0;
			text.scrollY = 0;
			text.scale = .5;
			add(textEntity);
			
			add(box = new Box());
			add(player = new Player());
			player.moveTo(80, 80);
			
			FP.log("~: Console");
		}
		
		override public function update():void 
		{
			super.update();

			text.text = "camera: x:" + FP.camera.x + ", y:" + FP.camera.y;
			
			// ESC to exit
			if (Input.pressed(Key.ESCAPE)) {
				System.exit(1);
			}
			
		}
		
		override public function render():void 
		{
			Draw.rectPlus(0, 0, FP.width, FP.height, 0x3F190B, .7);
			super.render();
			
		}

	}

}